# Husky
[![Build Status](https://api.travis-ci.org/FWGS/xash3d-fwgs.svg?branch=master)](https://travis-ci.org/FWGS/Husky)

Husky is a fork of Tusky that aimed to support [Pleroma's Mastodon API extensions](https://git.pleroma.social/pleroma/pleroma/blob/develop/docs/API/differences_in_mastoapi_responses.md) and some ideas that I may come up with.

## Main changes so far
- Removed attachment limits for Pleroma
- Support for attaching anything on Pleroma
- Support for changing OAuth application name
- Markdown support with WYSIWYG editor
- Support for extended accounts fields, so you can see who is admin or moderator on your instance
- Subscribing support to annoy you with incoming notification from every post
- Support for seen notifications to less annoy you
- "Reply to" feature that allows to jump to replied status, useful for hellthreading ;)
- Bigger emojis!

Note on Mastodon support: \
Mastodon is NOT a second class citizen for me, it's still supported and will be.

---------------------------------------------------------

[![Translate - with Weblate](https://img.shields.io/badge/translate%20with-Weblate-green.svg?style=flat)](https://weblate.tusky.app/) [![OpenCollective](https://opencollective.com/tusky/backers/badge.svg)](https://opencollective.com/tusky/) [![Build Status](https://app.bitrise.io/app/a3e773c3c57a894c/status.svg?token=qLu_Ti4Gp2LWcYT4eo2INQ&branch=master)](https://app.bitrise.io/app/a3e773c3c57a894c#/builds) 
# Tusky

![](/fastlane/metadata/android/en-US/images/icon.png)

Tusky is a beautiful Android client for [Mastodon](https://github.com/tootsuite/mastodon). Mastodon is an ActivityPub federated social network. That means no single entity controls the whole network, rather, like e-mail, volunteers and organisations operate their own independent servers, users from which can all interact with each other seamlessly.

[<img src="/assets/fdroid_badge.png" alt="Get it on F-Droid" height="80" />](https://f-droid.org/repository/browse/?fdid=com.keylesspalace.tusky)
[<img src="https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png" alt="Get it on Google Play" height="80" />](https://play.google.com/store/apps/details?id=com.keylesspalace.tusky&utm_source=github&pcampaignid=MKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1)

## Features

- Material Design
- Most Mastodon APIs implemented
- Multi-Account support
- Dark, light and black themes with the possibility to auto-switch based on the time of day
- Drafts - compose toots and save them for later
- Choose between different emoji styles 
- Optimized for all screen sizes
- Completely open-source - no non-free dependencies like Google services

### Testing

The nightly build from master is [available on Google Play](https://play.google.com/store/apps/details?id=com.keylesspalace.tusky.test). 

### Support

If you have any bug reports, feature requests or questions please open an issue or send us a toot at [Tusky@mastodon.social](https://mastodon.social/@Tusky)!

For translating Tusky into your language, visit https://weblate.tusky.app/

### Head of development

This app was developed by [Vavassor@mastodon.social](https://mastodon.social/@Vavassor).
The current maintainer is [ConnyDuck@chaos.social](https://chaos.social/@ConnyDuck).

### Development chatroom
https://riot.im/app/#/room/#Tusky:matrix.org

### 
